import sys

from .config import Config
from .util import term


def main(args):
    try:
        config = Config(args[0] if len(args) else '/etc/pacman-repo.d')
        print(config.path)
        print('---')
        print()
        print(config)
        print()
        for repo in config.repos:
            print(repo.path)
            print('---')
            print()
            print(repo)
            print()

        for server in config.servers:
            print(server.path)
            print('---')
            print()
            print(server)
            print()

    except Exception:
        from traceback import format_exc
        msg = "Error encountered:\n" + format_exc().strip()
        print(term().red(msg))
        sys.exit(1)


if __name__ == '__main__':
    main(sys.argv[1:])
